Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 452087 - Review Request: collectl - utility to collect performace data
Summary: Review Request: collectl - utility to collect performace data
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Dan Horák
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-19 09:03 UTC by Karel Zak
Modified: 2008-06-24 15:42 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-06-19 20:06:41 UTC
dan: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Karel Zak 2008-06-19 09:03:56 UTC
Spec URL: http://fedorapeople.org/~kzak/collectl.spec
SRPM URL: http://fedorapeople.org/~kzak/collectl-2.6.4-1.fc8.src.rpm
Description: A utility to collect linux performance data

Comment 1 Dan Horák 2008-06-19 09:24:21 UTC
OK	source files match upstream:
	    4b90523b13cfb5f7c41bfa4fe07c542ed8150b67  collectl-2.6.4-1.src.tar.gz
OK	package meets naming and versioning guidelines.
OK	specfile is properly named, is cleanly written and uses macros consistently.
OK	dist tag is present.
OK	build root is correct.
OK	license field matches the actual license.
OK	license is open source-compatible. License texts are included in package.
OK	latest version is being packaged.
OK	BuildRequires are proper.
N/A	compiler flags are appropriate.
OK	%clean is present.
OK	package builds in mock (Rawhide/x86_64).
N/A	debuginfo package looks complete.
OK	rpmlint is silent.
OK	final provides and requires look sane.
N/A	%check is present and all tests pass.
N/A	no shared libraries are added to the regular linker search paths.
OK	owns the directories it creates.
OK	doesn't own any directories it shouldn't.
OK	no duplicates in %files.
OK	file permissions are appropriate.
OK	correct "initscript" scriptlets are present.
OK	code, not content.
OK	documentation is small, so no -docs subpackage is necessary.
OK	%docs are not necessary for the proper functioning of the package.
OK	no headers.
OK	no pkgconfig files.
OK	no libtool .la droppings.
OK	not a GUI app.

this package is APPROVED


Comment 2 Karel Zak 2008-06-19 09:30:46 UTC
New Package CVS Request
=======================
Package Name: collectl
Short Description: A utility to collect linux performance data
Owners: kzak, sharkcz
Branches: 
InitialCC: sharkcz
Cvsextras Commits: yes

Comment 3 Kevin Fenzi 2008-06-19 14:49:05 UTC
cvs done.

Comment 4 Dan Horák 2008-06-23 07:45:15 UTC
Package Change Request
======================
Package Name: collectl
New Branches: F-8 F-9 EL-4 EL-5

Comment 5 Kevin Fenzi 2008-06-23 18:13:02 UTC
cvs done.

Comment 6 Dan Horák 2008-06-24 06:36:17 UTC
Kevin, it looks to me that you missed the F-8 and F-9 branches in the previous
request

Package Change Request
======================
Package Name: collectl
New Branches: F-8 F-9


Comment 7 Kevin Fenzi 2008-06-24 15:42:51 UTC
Sorry about that. I was having issues with the pkgdb and only did a subset for
debugging. 

Should be done now. 


Note You need to log in before you can comment on or make changes to this bug.